Update User
Update a [User](#schema_user) object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
Path Parameters
User ID
Header Parameters
Bot id
Integration id
Integration alias
Request Body
application/json
User data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PUT "https://example.com/v1/chat/users/string" \ -H "x-bot-id: string" \ -H "Content-Type: application/json" \ -d '{}'{ "user": { "id": "stringstringstringstringstri", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "tags": { "property1": "string", "property2": "string" }, "name": "string", "pictureUrl": "string", "properties": { "property1": "string", "property2": "string" }, "attributes": { "property1": "string", "property2": "string" } }}{ "user": { "id": "stringstringstringstringstri", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "tags": { "property1": "string", "property2": "string" }, "name": "string", "pictureUrl": "string", "properties": { "property1": "string", "property2": "string" }, "attributes": { "property1": "string", "property2": "string" } }}Update Message PUT
Updates a message tags and payload. The message type cannot be changed. Calling this operation from an integration, to update an incoming message, will not invoke the bot. The other way around it also true; Calling this operation from the bot, to update an outgoing message, will not invoke the integration.
Admin API
Боты, воркспейсы, участники и интеграции.